Problem to upgrade openssl

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Problem to upgrade openssl

pana
Hi,

I have installed openssl 0.9.7e but now I need to upgrade it to the
newer version 0.9.8.
I tried to uninstall the 0.9.7 version but I have not been able to do it.
I removed the ssl folder in /usr/local (debian) and I removed the main
folder openssl in my home, then I installed the 0.9.8 version but when
I check it with "openssl version" command I always obtain that my
openssl is 0.9.7e.
How can I uninstall correcly or upgrade openssl?

thanks
pana
______________________________________________________________________
OpenSSL Project                                 http://www.openssl.org
User Support Mailing List                    [hidden email]
Automated List Manager                           [hidden email]
Reply | Threaded
Open this post in threaded view
|

Re: Problem to upgrade openssl

Nils Larsch
pana wrote:
> Hi,
>
> I have installed openssl 0.9.7e but now I need to upgrade it to the
> newer version 0.9.8.
> I tried to uninstall the 0.9.7 version but I have not been able to do it.

if you really want to uninstall the debian supplied openssl version
use debian packet manager

> I removed the ssl folder in /usr/local (debian) and I removed the main
> folder openssl in my home, then I installed the 0.9.8 version but when
> I check it with "openssl version" command I always obtain that my
> openssl is 0.9.7e.

check your PATH environment variable

> How can I uninstall correcly or upgrade openssl?

it should in general not really be necessary to uninstall an older
openssl version (just install them in different directories and set
the environment variables accordingly).

Nils
______________________________________________________________________
OpenSSL Project                                 http://www.openssl.org
User Support Mailing List                    [hidden email]
Automated List Manager                           [hidden email]